<?php
/*****************************************************************************
 * MyTagsView.php
 * Contains the user tag list.
 *
 * Kabuki CMS (C) 2013-2015, Aaron van Geffen
 *****************************************************************************/

class MyTagsView extends SubTemplate
{
	private $tags;

	public function __construct(array $tags)
	{
		$this->tags = $tags;
	}

	protected function html_content()
	{
		echo '
			<h2>Tags you can edit</h2>
			<p>You can currently edit the tags below. Click a tag to edit it.</p>
			<ul>';

		foreach ($this->tags as $tag)
			echo '
				<li><a href="', BASEURL, '/edittag/?id=', $tag->id_tag, '">', $tag->tag, '</a></li>';

		echo '
			</ul>';
	}
}
